%define anolis_release 2
%global srcname sortedcontainers
%bcond_with tests
%bcond_without docs

Name:           python-%{srcname}
Version:        2.4.0
Release:        %{anolis_release}%{?dist}
Summary:        Pure Python sorted container types

License:        ASL 2.0
URL:            https://pypi.python.org/pypi/%{srcname}
# PyPI tarball does not include docs or tests.
Source0:	https://github.com/grantjenks/python-sortedcontainers/archive/refs/tags/v%{version}.tar.gz

BuildArch:      noarch

%global _description \
SortedContainers is an Apache2 licensed sorted collections library, written in \
pure-Python, and fast as C-extensions.

%description %{_description}

%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

BuildRequires: make
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

%if %{with tests}
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-matplotlib
BuildRequires:  python%{python3_pkgversion}-numpy
BuildRequires:  python%{python3_pkgversion}-scipy
%endif

%if %{with docs}
BuildRequires:  python%{python3_pkgversion}-sphinx
BuildRequires:  dvipng
BuildRequires:  tex(anyfontsize.sty)
BuildRequires:  tex(bm.sty)
%endif

%description -n python%{python3_pkgversion}-%{srcname} %{_description}


%package -n python3-%{srcname}-doc
Summary:        %{summary}

%description -n python3-%{srcname}-doc
Documentation for %{srcname} package.


%prep
%autosetup -n %{name}-%{version} -p1

%build
%py3_build

%if %{with docs}
pushd docs
make SPHINXBUILD=sphinx-build-%{python3_version} html
rm _build/html/.buildinfo
popd
%endif


%install
%py3_install


%if %{with tests}
%check
pushd tests
PYTHONPATH="%{buildroot}%{python3_sitelib}" \
    pytest-%{python3_version}
popd
%endif


%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info/


%if %{with docs}
%files -n python3-%{srcname}-doc
%doc README.rst docs/_build/html
%endif


%changelog
* Wed Mar 13 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 2.4.0-2
- Rebuild with python3.11

* Fri Mar 17 2023 happy_orange <songnannan@linux.alibaba.com> - 2.4.0-1
- package init from upstream
